/*****************************************************************************

 @(#) $Id: proc.c,v 0.7 2000/09/07 11:12:13 brian Exp $

 -----------------------------------------------------------------------------

 Copyright (C) 1997, 1998, 1999, 2000  Brian Bidulock <bidulock@dallas.net>

 All Rights Reserved.

 This program is free software; you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation; either version 2 of the License, or (at your option) any later
 version.

 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 details.

 You should have received a copy of the GNU General Public License along with
 this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 Ave, Cambridge, MA 02139, USA.

 Last Modified $Date: 2000/09/07 11:12:13 $ by $Author: brian $

 -----------------------------------------------------------------------------

 $Log: proc.c,v $
 Revision 0.7  2000/09/07 11:12:13  brian
 Initial import of OpenSS7.

 Revision 1.1.1.1  2000/09/05 11:00:20  brian
 Initial import of new OpenSS7 stack for Linux.

 *****************************************************************************/

int afss7_get_info(char *buffer, char** start, off_t offset, int length, int dummy)
{
    extern int socket_get_info(char *, char **, off_t, int);

    int len = socket_get_info(buffet,start,offset,length);

    len += sprintf(buffer+len,"MTP: inuse %d highest %d\n",
            mtp_prot.inuse, mtp_prot.highestinuse);
    len += sprintf(buffer+len,"SCCP: inuse %d highest %d\n",
            sccp_prot.inuse, sccp_prot.highestinuse);
    if (offset >= len)
    {
        *start = buffer;
        return 0;
    }
    *start = buffer + offset;
    len -= offset;
    if (len > length)
        len = length;
    if (len < 0)
        len = 0; 
    return len;
}


/*
 *
 * and some more...  see <net/ipv4/proc.c> for more info....





